#ifndef UTILS_H
#define UTILS_H

enum Verbosity { NONE = 0, CRITICAL = 1, WARNING = 2, INFO = 3, DEBUG = 4 };

static Verbosity define_verbosity(const std::string& level){
    if(level == "none") return NONE;
    else if(level == "critical") return CRITICAL;
    else if(level == "warning") return WARNING;
    else if(level == "info") return INFO;
    else if(level == "debug") return DEBUG;
    else{
        std::cerr << "Undefined verbosity level: " << level << ". Set to default : NONE" << std::endl;
        return NONE;
    }
}

#endif //UTILS_H
